import {YtModule} from "duiba-yt";
import {SlModuleName} from "../../enum/SlModuleName";
import {YtDisplayPool} from "duiba-yt";


export class SlGameGuiModule extends YtModule {
    constructor(){
        super()
    }
    public init(){
        YtDisplayPool.ins.displayPool[SlModuleName.GAME_PLAY_GUI]=this;
    }
    /**
     * 添加事件
     * */
    protected addEvent(){

    }


    protected removeEvent(){

    }
    /**
     * 更新页面
     * @param args
     */
    public updateData(...args): void {
        this.removeEvent()
        if (!this.isInit) {
            this.initUI();
            this.isInit = true;
        }
    }
}